; ANIM:5SQU:SEQU
; 3 2
; 254 0 1 0
; ANIM:5SQU:FRAM
; DiagonalSwipe
; 12 1
; 128 4 1 0 1 0 0 0 0 0
;  01000000 00880000 00444000 00222200 00111110 00008888
;  00000444 00000022 00000001 00000040 00001000 00040000
; 254 1 1 0
; ANIM:5SQU:PIXL
; Spiral
; 25 3
; 128 4 10 0 1 0 0 0 0 0
; 32 6 1 0 1 0 0 0 0 0
; 160 1 1 0 1 0 0 0 0 0
;  0c 0d 12 11 10 0b
;  06 07 08 09 0e 13
;  18 17 16 15 14 0f
;  0a 05 00 01 02 03
;  04
; 255 0 1 0
; ANIM:5SQU:STRP
; Arrow
; 8 1
; 128 4 1 1 0 0 0 0 0 0
;  04 0e 15 04 04 0e
;  00 00




;===============================================
; FiveSquare Sequence Data
;
;
; David D. Kaufman
;===============================================


#include "FiveSquareLibrary.h"


		;---------------------------------------------
		;	Animation Dispatch
		;
		;---------------------------------------------
AnimationDispatch
			IdxLongJump AnimationDispatch, CURSEQ
			goto DiagonalSwipe
			goto SpiralB
			goto Arrow
			bsf		SEQFLAGS,FLAG_LIST_DONE
			return


		;---------------------------------------------
		;	Animation Entry Points
		;
		;---------------------------------------------

			; DiagonalSwipe (12 frames)
			FrameByFrameAnim DiagonalSwipe, 4, 0x80, DiagonalSwipeData

			; SpiralB (25 pixels)
			PixelListAnim SpiralB, 6, 0x20, 1, SpiralData, PixelListSinglePass

			; Arrow (8 rows)
			StripAnim Arrow, 4, 0x80, 0, ArrowData, PixelListWrapStyle| StripHorizontal

		;---------------------------------------------
		;	Animation Tables
		;
		;---------------------------------------------


DiagonalSwipeData
			IdxLongJump DiagonalSwipeData, DATAINDEX
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x01		; .....
								; @....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x88		; .....
			retlw	0x00		; @....
								; .@...

			retlw	0x00		; .....
			retlw	0x40		; .....
			retlw	0x44		; @....
			retlw	0x00		; .@...
								; ..@..

			retlw	0x00		; .....
			retlw	0x22		; @....
			retlw	0x22		; .@...
			retlw	0x00		; ..@..
								; ...@.

			retlw	0x10		; @....
			retlw	0x11		; .@...
			retlw	0x11		; ..@..
			retlw	0x00		; ...@.
								; ....@

			retlw	0x88		; .@...
			retlw	0x88		; ..@..
			retlw	0x00		; ...@.
			retlw	0x00		; ....@
								; .....

			retlw	0x44		; ..@..
			retlw	0x04		; ...@.
			retlw	0x00		; ....@
			retlw	0x00		; .....
								; .....

			retlw	0x22		; ...@.
			retlw	0x00		; ....@
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x01		; ....@
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x40		; .....
			retlw	0x00		; ...@.
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x10		; .....
			retlw	0x00		; ..@..
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x04		; .....
			retlw	0x00		; .@...
								; .....

			bsf		SEQFLAGS, FLAG_DATA_DONE
			return


SpiralData
			IdxLongJump SpiralData, DATAINDEX
			retlw	0x0c		;
			retlw	0x0d		;
			retlw	0x12		;
			retlw	0x11		;
			retlw	0x10		;
			retlw	0x0b		;
			retlw	0x06		;
			retlw	0x07		;
			retlw	0x08		;
			retlw	0x09		;
			retlw	0x0e		;
			retlw	0x13		;
			retlw	0x18		;
			retlw	0x17		;
			retlw	0x16		;
			retlw	0x15		;
			retlw	0x14		;
			retlw	0x0f		;
			retlw	0x0a		;
			retlw	0x05		;
			retlw	0x00		;
			retlw	0x01		;
			retlw	0x02		;
			retlw	0x03		;
			retlw	0x04		;
			bsf		SEQFLAGS, FLAG_DATA_DONE
			return


ArrowData
			IdxLongJump ArrowData, DATAINDEX
			retlw	0x04		; ..@..
			retlw	0x0e		; .@@@.
			retlw	0x15		; @.@.@
			retlw	0x04		; ..@..
			retlw	0x04		; ..@..
			retlw	0x0e		; .@@@.
			retlw	0x00		; .....
			retlw	0x00		; .....
			bsf		SEQFLAGS, FLAG_DATA_DONE
			return


			end

